clang 8.0.0

List of all members
clang::UnresolvedSet< InlineCapacity > Class Template Reference

A set of unresolved declarations. More...

`#include "clang/AST/UnresolvedSet.h"`

Inheritance diagram for clang::UnresolvedSet< InlineCapacity >:
[legend]
Collaboration diagram for clang::UnresolvedSet< InlineCapacity >:
[legend]

## Additional Inherited Members
Public Types inherited from clang::UnresolvedSetImpl
using | iterator = UnresolvedSetIterator
using | const_iterator = UnresolvedSetIterator
Public Member Functions inherited from clang::UnresolvedSetImpl
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
void | addDecl (NamedDecl *D)
void | addDecl (NamedDecl *D, AccessSpecifier AS)
bool | replace (const NamedDecl *Old, NamedDecl *New)
| Replaces the given declaration with the new one, once. More...
void | replace (iterator I, NamedDecl *New)
| Replaces the declaration at the given iterator with the new one, preserving the original access bits. More...
void | replace (iterator I, NamedDecl *New, AccessSpecifier AS)
void | erase (unsigned I)
void | erase (iterator I)
void | setAccess (iterator I, AccessSpecifier AS)
void | clear ()
void | set_size (unsigned N)
bool | empty () const
unsigned | size () const
void | append (iterator I, iterator E)
DeclAccessPair & | operator[] (unsigned I)
const DeclAccessPair & | operator[] (unsigned I) const

## Detailed Description

### template<unsigned InlineCapacity>
class clang::UnresolvedSet< InlineCapacity >

A set of unresolved declarations.

Definition at line 144 of file UnresolvedSet.h.

The documentation for this class was generated from the following file:

- include/clang/AST/UnresolvedSet.h